Will the New WhatsApp Update Support Older Android Devices?

It was during the year 2009 when WhatsApp first released its messaging platform to the public. Founders Brian Acton and Jan Koum, who were former employees of Yahoo!, realized the potential of app industry. From there, the two began to slowly build their dreams from that potential.

Since then, WhatsApp grew into something greater. Today, it connects millions of people from across the globe through the comfort of their own mobile devices.

Throughout the app’s success, the company continuously releases updates that focus on improving its overall user experience. This messaging app has improved through the years yet it still has more room to grow. After all, everyone is still finding more ways to transcend and grow more in this digital age.

WhatsApp to Discontinue Its Support to Older Devices


When it comes to updates, WhatsApp recently released important news to the public. The news started going around June and it comes with big changes to both the company and its users.  

According to numerous press releases as well as the FAQ’s page on the app’s website, they’ve formally announced that they will soon discontinue its support to older operating systems. WhatsApp strongly recommends that users update to the latest compatible operating system if possible.

As for Android users would want to know if the new WhatsApp update will support older Android devices, this piece explores more about its official announcement and, more specifically, about the fate of old Android devices.

The Fate of Old Android Devices

While this has been old news for devices Windows Phone 8.0 and older, the Nokia Symbian S60, Blackberry OS, and Blackberry 10, the company finally made an announcement for old Android and iPhone operating systems.

Going into specifics for Android, those with operating systems running on Android 2.3.3 and older will no longer be supported by WhatsApp. These are what most people know as Android Gingerbread, Froyo, Eclair, Donut, and the rest that come before that.

Recent updates from WhatsApp indicates that for the app to run smoothly, Android devices should at least be running on an Android 4.0 operating system. These are Android Ice Cream Sandwich, Jelly Bean, KitKat, Lollipop, Marshmallow, Nougat, Oreo, and Pie.

So, Does the New Update Support Older Android Devices?

The developers reached this decision due to their discontinuance of active development for the said operating systems. Which brings users to wonder if the new WhatsApp update will support older Android devices.

Well, for the time being, these devices can still enjoy WhatsApp’s services. However, there is a catch. According to WhatsApp’s page, these Android operating systems can still use the app up until February 1, 2020, but this only applies if your device has the app pre-installed.

If not, then you won’t be able to manually install the app from the Google Play Store if it doesn’t meet the required running operating system (Android 4.0 and above).

Moreover, if you’re currently using WhatsApp from an older Android device, the company does not guarantee a seamless user experience since the app’s new updates and features are not compatible.

Leave a Comment